[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (Linux Mint 19.3 “Tricia” Released: Here’s What’s New and How to Get it)
[#]: via: (https://itsfoss.com/linux-mint-19-3/)
[#]: author: (Ankush Das https://itsfoss.com/author/ankush/)

Linux Mint 19.3 “Tricia” Released: Here’s What’s New and How to Get it
======

_**Linux Mint 19.3 “Tricia” has been released. See what’s new in it and learn how to upgrade to Linux Mint 19.3.**_

The Linux Mint team finally announced the release of Linux Mint 19.3 codenamed ‘Tricia’ with useful feature additions along with a ton of improvements under-the-hood.

This is a point release based on the latest **Ubuntu 18.04.3** and it comes packed with the **Linux kernel 5.0**.

I downloaded and quickly tested the edition featuring the [Cinnamon 4.4][1] desktop environment. You may also try the Xfce or MATE edition of Linux Mint 19.3.

### Linux Mint 19.3: What’s New?

![Linux Mint 19 3 Desktop][2]

While being an LTS release that will be supported until 2023 – it brings in a couple of useful features and improvements. Let me highlight some of them for you.

#### System Reports

![][3]

Right after installing Linux Mint 19.3 (or upgrading it), you will notice a warning icon on the right side of the panel (taskbar).

When you click on it, you should be displayed a list of potential issues that you can take care of to ensure the best out of Linux Mint experience.

For starters, it will suggest that you should create a root password, install a language pack, or update software packages – in the form of a warning. This is particularly useful to make sure that you perform important actions even after following the first set of steps on the welcome screen.

#### Improved Language Settings

Along with the ability to install/set a language, you will also get the ability to change the time format.

So, the language settings are now more useful than ever before.

#### HiDPI Support

As a result of [HiDPI][4] support, the system tray icons will look crisp and overall, you should get a pleasant user experience on a high-res display.

#### New Applications

![Linux Mint Drawing App][5]

With the new release, you will n longer find “**GIMP**” pre-installed.

Even though GIMP is a powerful utility, they decided to add a simpler “**Drawing**” app to let users to easily crop/resize images while being able to tweak it a little.

Also, **Gnote** replaces **Tomboy** as the default note-taking application on Linux Mint 19.3

In addition to both these replacements, Celluloid video player has also been added instead of Xplayer. In case you did not know, Celluloid happens to be one of the [best open source video players][6] for Linux.

#### Cinnamon 4.4 Desktop

![Cinnamon 4 4 Desktop][7]

In my case, the new Cinnamon 4.4 desktop experience introduces a couple of new abilities like adjusting/tweaking the panel zones individually as you can see in the screenshot above.

#### Other Improvements

There are several other improvements including more customizability options in the file manager and so on.

You can read more about the detailed changes in the [official release notes][8].

[Subscribe to our YouTube channel for more Linux videos][9]

### Linux Mint 19 vs 19.1 vs 19.2 vs 19.3: What’s the difference?

You probably already know that Linux Mint releases are based on Ubuntu long term support releases. Linux Mint 19 series is based on Ubuntu 18.04 LTS.

Ubuntu LTS releases get ‘point releases’ on the interval of a few months. Point release basically consists of bug fixes and security updates that have been pushed since the last release of the LTS version. This is similar to the Service Pack concept in Windows XP if you remember it.

If you are going to download Ubuntu 18.04 which was released in April 2018 in 2019, you’ll get Ubuntu 18.04.2. The ISO image of 18.04.2 will consist of 18.04 and the bug fixes and security updates applied till 18.04.2. Imagine if there were no point releases, then right after [installing Ubuntu 18.04][10], you’ll have to install a few gigabytes of system updates. Not very convenient, right?

But Linux Mint has it slightly different. Linux Mint has a major release based on Ubuntu LTS release and then it has three minor releases based on Ubuntu LTS point releases.

Mint 19 was based on Ubuntu 18.04, 19.1 was based on 18.04.1 and Mint 19.2 is based on Ubuntu 18.04.2. Similarly, Mint 19.3 is based on Ubuntu 18.04.3. It is worth noting that all Mint 19.x releases are long term support releases and will get security updates till 2023.

Now, if you are using Ubuntu 18.04 and keep your system updated, you’ll automatically get updated to 18.04.1, 18.04.2 etc. That’s not the case in Linux Mint.

Linux Mint minor releases also consist of _feature changes_ along with bug fixes and security updates and this is the reason why updating Linux Mint 19 won’t automatically put you on 19.1.

Linux Mint gives you the option if you want the new features or not. For example, Mint 19.3 has Cinnamon 4.4 and several other visual changes. If you are happy with the existing features, you can stay on Mint 19.2. You’ll still get the necessary security and maintenance updates on Mint 19.2 till 2023.

Now that you understand the concept of minor releases and want the latest minor release, let’s see how to upgrade to Mint 19.3.

### Linux Mint 19.3: How to Upgrade?

No matter whether you have Linux Mint 19.1 or 19, you can follow these steps to [upgrade Linux Mint version][11].

**Note**: _You should consider making a system snapshot (just in case) for backup. In addition, the Linux Mint team advises you to disable the screensaver and upgrade Cinnamon spices (if installed) from the System settings._

![][12]

  1. Launch the Update Manager.
  2. Now, refresh it to load up the latest available updates (or you can change the mirror if you want).
  3. Once done, simply click on the Edit button to find “**Upgrade to Linux Mint 19.3 Tricia**” button similar to the image above.
  4. Finally, just follow the on-screen instructions to easily update it.



Based on your internet connection, it should take anything between a couple of minutes to 30 minutes.

### Don’t see Mint 19.3 update yet? Here’s what you can do

If you don’t see the option to upgrade to Linux Mint 19.3 Tricia, don’t lose hope. Here are a couple of things you can do.

#### **Step 1: Make sure to use mint-upgrade-info version 1.1.3**

Make sure that mint-upgrade-info is updated to version 1.1.3. You can try the install command that will update it to a newer version (if there is any).

```
sudo apt install mint-upgrade-info
```

#### **Step 2: Switch to default software sources**

Chances are that you are using a mirror closer to you to get faster software downloads. But this could cause a problem as the mirrors might not have the new upgrade info yet.

Go to Software Source and change the sources to default. Now run the update manager again and see if Mint 19.3 upgrade is available.

### Download Linux Mint 19.3 ‘Tricia’

If you want to perform a fresh install, you can easily download the latest available version from the official download page (depending on what edition you want).

You will also find multiple mirrors available to download the ISOs – feel free to try the nearest mirror for potentially faster download.

[Linux Mint 19.3][13]

**Wrapping Up**

Have you tried Linux Mint 19.3 yet? Let me know your thoughts in the comments down below.

--------------------------------------------------------------------------------

via: https://itsfoss.com/linux-mint-19-3/

作者：[Ankush Das][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://itsfoss.com/author/ankush/
[b]: https://github.com/lujun9972
[1]: https://github.com/linuxmint/cinnamon/releases/tag/4.4.0
[2]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2019/12/linux-mint-19-3-desktop.jpg?ssl=1
[3]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2019/12/linux-mint-system-report.jpg?ssl=1
[4]: https://wiki.archlinux.org/index.php/HiDPI
[5]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2019/12/linux-mint-drawing-app.jpg?ssl=1
[6]: https://itsfoss.com/video-players-linux/
[7]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2019/12/cinnamon-4-4-desktop.jpg?ssl=1
[8]: https://linuxmint.com/rel_tricia_cinnamon.php
[9]: https://www.youtube.com/c/itsfoss?sub_confirmation=1
[10]: https://itsfoss.com/things-to-do-after-installing-ubuntu-18-04/
[11]: https://itsfoss.com/upgrade-linux-mint-version/
[12]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2019/08/mintupgrade.png?ssl=1
[13]: https://linuxmint.com/download.php
