[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (How to be a better organization: Top 10 reads for leaders)
[#]: via: (https://opensource.com/article/19/12/open-leadership)
[#]: author: (Jim Hall https://opensource.com/users/jim-hall)

How to be a better organization: Top 10 reads for leaders
======
Get tips and strategies to help you leverage open principles in your
organization.
![Shaking hands, networking][1]

Modern organizations are adopting key elements from open source software. By leveraging the "open" in open source, leaders can help shape a more responsive and productive enterprise. Check out these top 10 articles from 2019 that can help you develop your own path in open leadership.

### 19 resolutions of an open leader

Open organizations succeed when leaders are open and transparent, demonstrating open skills, including transparency, inclusivity, adaptability, collaboration, and community. In [_19 resolutions of an open leader_][2], Angela Robertson shares her plan for continuing on the path of an open leader.

### The psychology behind a blameless retrospective

"One of the Agile Manifesto's principles suggests all teams regularly reflect on how to become more effective," writes Dominika Bula in [_The psychology behind a blameless retrospective_][3]. She says the main goals of a retrospective are to promote self-improvement, improve processes, and advance team members' skills. She also outlines the three foundational pillars that will "ensure your blameless retrospective truly is successful."

### A guide to human communication for sysadmins

The job of a systems administrator is no longer defined simply by running racks of servers and poking bits to optimize performance. In modern organizations, sysadmins can and should increase the value they deliver to the organization they work for. In [_A guide to human communication for sysadmins_][4], Maxim Burgerhout describes the best way to increase your value to an organization: getting to know the people around you.

### The innovation delusion

Red Hat CEO Jim Whitehurst observes that organizations (and especially leaders) like to think success is always planned—that they've become masters of chaos and can almost predict the future. But these assessments are often made with the benefit of hindsight. In [_The innovation delusion_][5], Jim advises that different kinds of challenges require different kinds of approaches, and we need to get better at building flexible organizations capable of responding to the unforeseen or unknowable.

### The power of being vulnerable in the workplace

In open organizations, high-performing teams must feel comfortable taking risks and appearing vulnerable in front of each other. These are necessary ingredients for creativity, curiosity, and diversity of ideas. In [_The power of being vulnerable in the workplace_][6], Kathleen Hayes explains psychological safety and explores some real-life examples where new mindsets and behaviors have helped teams thrive.

### Let's be real: Diversity and inclusion is a business issue

"If the problem is a struggle to innovate, then the solution is greater diversity and inclusion," DeLisa Alexander writes in [_Let's be real: Diversity and inclusion is a business issue_][7]. She says when diversity and inclusion are solutions to problems that affect us every day, we all do better work and generate value for customers.

### How to plan your next IT career move

Like many people in open source, being part of technology-oriented communities has been an essential part of Matthew Broberg's career development. In [_How to plan your next IT career move_][8], Matthew challenges us to ask essential career questions about the cloud, DevOps, coding, and where you're going next in IT.

**[Read next: [The new rules of CIO leadership][9]]**

### How to advance your career by contributing to open source projects

After working as a recruiter for 10 years at Red Hat, Josh Wulf decided it was time for a change. He quit his job as a recruiter, contributed to open source software, and landed a job as a software engineer. Josh explains in [_How to advance your career by contributing to open source projects_][10] how he did it and how you can, too.

### 7 tips to ace your tech job interview

In [_7 tips to ace your tech job interview_][11], Jessica Repka shares an insightful list of interviewing tips that should help you stand out in a good way. Based on her own job interviews and what she's seen in person while interviewing others, Jessica's tips can give you the edge you need to find your next job.

### Why DevOps is the most important tech strategy today

"Many people first learn about DevOps when they see one of its outcomes and ask how it happened. It's not necessary to understand why something is part of DevOps to implement it," Kelly Albrecht writes in [_Why DevOps is the most important tech strategy today_][12]. Albrecht clears up some of the confusion about DevOps and explains how a DevOps strategy can mean the difference between being a leader or a follower in an industry.

### Open leadership in 2020

What do you want to know about open leadership in the coming year? Please share your ideas for article topics in the comments—or even share your own experiences with open leadership by [writing an article for Opensource.com][13].

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/12/open-leadership

作者：[Jim Hall][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/jim-hall
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/network_team_career_hand.png?itok=_ztl2lk_ (Shaking hands, networking)
[2]: https://opensource.com/open-organization/19/1/leadership-goals
[3]: https://opensource.com/article/19/4/psychology-behind-blameless-retrospective
[4]: https://opensource.com/article/19/9/communication-sysadmins
[5]: https://opensource.com/open-organization/19/6/innovation-delusion
[6]: https://opensource.com/open-organization/19/3/introduction-psychological-safety
[7]: https://opensource.com/open-organization/19/5/inclusivity-solution-innovation
[8]: https://opensource.com/article/19/8/plan-next-IT-career-move
[9]: https://enterprisersproject.com/cio-new-rules-report
[10]: https://opensource.com/article/19/5/how-get-job-doing-open-source
[11]: https://opensource.com/article/19/1/job-interviewing-tips
[12]: https://opensource.com/article/19/3/devops-most-important-tech-strategy
[13]: https://opensource.com/how-submit-article
