[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (10 Ansible resources to accelerate your automation skills)
[#]: via: (https://opensource.com/article/19/12/ansible-resources)
[#]: author: (James Farrell https://opensource.com/users/jamesf)

10 Ansible resources to accelerate your automation skills
======
Gear up and get crackin' with awesome Ansible automation skills this
year.
![Gears above purple clouds][1]

This year saw a wide range of really helpful Ansible articles. Whether you are just starting out with Ansible or a seasoned pro, there is something for everyone here to learn from.

A good number of these articles are worthy of your bookmarking and perhaps a cron (or maybe a Tower/AWX job) reminder to reread them periodically.

If you are new to Ansible, start with the following articles:

  * [_A quickstart guide to Ansible_][2] has some good starter information as well as deeper dives into more advanced topics
  * [_10 Ansible modules you need to know_][3] and [_5 ops tasks to do with Ansible_][4] review some of the more fundamental functions that every Ansible admin should be familiar with
  * [_How to use Ansible to document procedures_][5] also presents a survey of additional topics you might find it interesting to follow up on



The remainder of these articles cover more advanced topics like Windows management, testing, hardware, cloud, and containers—and even a case study in managing the demands of tech-curious children.

I hope you enjoyed this Ansible year as much as I did. Never stop learning!

  1. _[How Ansible brought peace to my home][6]_ is a whimsical case study in applying Ansible skills to quickly provision new (or rather old) laptops for my children.
  2. _[Ansible for the Windows admin][7]_ by Taz Brown and Abner Malivert: Did you know Ansible can manage Windows nodes as well? This piece reviews basic Ansible server and Windows client setups with an example on how to deploy an IIS server.
  3. _[10 Ansible modules you need to know][3]_ by Shashank Hegde is a great place to start for some of the most common and basic Ansible modules all admins should know. Running commands, installing packages, and handling files are the basis for many useful automation plays.
  4. _[How to use Ansible to document procedures][5]_ by Marco Bravo: Ansible’s YAML files make for easy reading, so much so that they can be used to document the manual steps needed to accomplish a task. This makes your work easier to debug and extend later on. Also contained in this article are pointers on related topics like testing and analysis.
  5. _[Using Testinfra with Ansible to verify server state][8]_ by Clement Verna: Testing is an integral part of any CI/CD DevOps pipeline, so why not test Ansible’s results as well? This primer on Testinfra can be used to help check the configuration results you need.
  6. _[Hardware bootstrapping with Ansible][9]_ by Mark Phillips: Not all the world is containers and virtual machines. Many of us sysadmins still have significant hardware deployments to manage. With a little PXE dust and DHCP magic (among other tidbits), you can create a convenient framework using Ansible to get real hardware up and running easily.
  7. _[What you need to know about Ansible modules][10]_ by Jairo da Silva Junior: Modules bring real power to Ansible. Many modules are already available, but when there is none, you may need to roll your own. Read this article to look a bit deeper into how modules are made.
  8. _[5 ops tasks to do with Ansible][4]_ by Mark Phillips: This is another more basic review of Ansible use to manage common system operations tasks. The draw here is the list of examples given in Tower (or AWX) instead of the old familiar command line.
  9. _[A quickstart guide to Ansible][2]_ by Chris Short is a great PDF download that you should keep on hand and reread from time to time. It begins with a great primer to get started in Ansible. It also covers other areas of interest including Molecule testing, sysadmin tasks, and Kubernetes object management, to name a few.
  10. _[An Ansible reference guide, CI/CD with Ansible Tower and GitHub, and more news][11]_ by Mark Phillips: This is a monthly round-up article full of interesting links to follow. Topics span Ansible basics, managing Netapp E-Series storage, debugging, patching, and more. Videos are included here as well as some pointers to Ansible meetup groups. Check it out!



Let us know if you had a favorite Ansible article this year and why in the comments.

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/12/ansible-resources

作者：[James Farrell][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/jamesf
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/chaos_engineer_monster_scary_devops_gear_kubernetes.png?itok=GPYLvfVh (Gears above purple clouds)
[2]: https://opensource.com/article/19/2/quickstart-guide-ansible
[3]: https://opensource.com/article/19/9/must-know-ansible-modules
[4]: https://opensource.com/article/19/8/ops-tasks-ansible
[5]: https://opensource.com/article/19/4/ansible-procedures
[6]: https://opensource.com/article/19/9/ansible-documentation-kids-laptops
[7]: https://opensource.com/article/19/2/ansible-windows-admin
[8]: https://opensource.com/article/19/5/using-testinfra-ansible-verify-server-state
[9]: https://opensource.com/article/19/5/hardware-bootstrapping-ansible
[10]: https://opensource.com/article/19/3/developing-ansible-modules
[11]: https://opensource.com/article/19/7/ansible-news-edition-one
