[#]: collector: (lujun9972)
[#]: translator: (wxy)
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (12 programming resources for coders of all levels)
[#]: via: (https://opensource.com/article/19/12/programming-resources)
[#]: author: (Erik O'Shaughnessy https://opensource.com/users/jnyjny)

12 programming resources for coders of all levels
======
No matter where you are in your programming journey, there are things
for you to learn in Opensource.com's top 12 programming articles from
2019.
![Woman sitting in front of her computer][1]

> "The best time to learn computer programming was 20 years ago. The second best time is now."
>  — A computer science proverb, maybe.

Are you a new programmer, an experienced web dev, a backend wizard, a grizzled system programmer, or some other yet-to-be-discovered species of computer geek? Wherever you land in the vast ecosystem of software developers, the only constant in our field is the need to learn about new technologies and how to apply them. Here is an ensemble of the most-read Opensource.com articles from the past year that inform and entertain, and I'm excited to share them with you here.

### For the noble newbie

Whatever your skillset or interests, learning how to write computer programs turns that domain-specific knowledge into a superpower. Unfortunately, it isn't possible to learn how to program from the bite of a radioactive computer, at least not yet. Until that's a thing, I recommend these excellent articles to help bootstrap your programming skills. They address important questions like which languages to consider learning and different ways to get started.

  * [Which programming languages should you learn?][2]
  * [A dozen ways to learn Python][3]
  * [Three popular programming languages you can learn with Raspberry Pi][4]
  * [Introducing kids to computational thinking with Python][5]



### Keeping up with emerging technologies

Experienced programmers know that the only thing harder than learning to program is keeping your skills and knowledge up to date. But we are an [autodidactic][6] breed, always looking to level up our expertise and understanding. Even if we don't anticipate using a new technology, we know that eventually, someone will ask about it. These articles on Rust, WebAssembly, and Podman are great places to start learning about just a few of the upcoming trends in software technology.

  * [Why should you use Rust in WebAssembly?][7]
  * [Level up command-line playgrounds with WebAssembly][8]
  * [How does rootless Podman work?][9]
  * [Why to choose Rust as your next programming language][10]



### Old programs never die

Despite the never-ending cascade of new technologies, it never hurts to look back to help you look forward. Today's amazing technologies are built on top of yesterday's tools, and it will serve us well to understand the abilities and limitations of those tools, even if we never write a line of code in these languages of legend. This collection of articles focuses on the C language, a practical application written in AWK, and an interesting discussion of computer languages that are declining in popularity, but perhaps not dead yet.

  * [The monumental impact of C][11]
  * [How to write a good C main function][12]
  * [Drinking coffee with AWK][13]
  * [What's your favorite "dead" language?][14]



### Keep on learning

No matter where you are in your programming journey, there will always be more to learn. I hope these top resources from 2019 will get you ready for 2020. Thanks to the authors and you, the reader.

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/12/programming-resources

作者：[Erik O'Shaughnessy][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/jnyjny
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/OSDC_women_computing_3.png?itok=qw2A18BM (Woman sitting in front of her computer)
[2]: https://opensource.com/article/19/2/which-programming-languages-should-you-learn
[3]: https://opensource.com/article/19/8/dozen-ways-learn-python
[4]: https://opensource.com/article/19/3/programming-languages-raspberry-pi
[5]: https://opensource.com/article/19/2/break-down-stereotypes-python
[6]: https://en.wikipedia.org/wiki/Autodidacticism
[7]: https://opensource.com/article/19/2/why-use-rust-webassembly
[8]: https://opensource.com/article/19/4/command-line-playgrounds-webassembly
[9]: https://opensource.com/article/19/2/how-does-rootless-podman-work
[10]: https://opensource.com/article/19/10/choose-rust-programming-language
[11]: https://opensource.com/article/19/10/command-line-heroes-c
[12]: https://opensource.com/article/19/5/how-write-good-c-main-function
[13]: https://opensource.com/article/19/2/drinking-coffee-awk
[14]: https://opensource.com/article/19/6/favorite-dead-language
